diff --git a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WCertExtensionPage.java b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WCertExtensionPage.java
index b53e200dcc30830bcf015ef0d47f5c9e4dd7a2dd..f7505be2ef875181cfeecf24c53b90de256b3f7f 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WCertExtensionPage.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WCertExtensionPage.java
@@ -17,8 +17,6 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.admin.certsrv.keycert;
 
-import java.awt.*;
-import java.awt.event.*;
 import javax.swing.border.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
@@ -145,7 +143,7 @@ class WCertExtensionPage extends WBaseCertExtensionPage implements
         if (mMIMECheckBox.isSelected()) {
             startProgressStatus();
             NameValuePairs nvps = new NameValuePairs();
-            nvps.add(ConfigConstants.PR_CERTIFICATE_EXTENSION, mMIMEText.getText().trim());
+            nvps.put(ConfigConstants.PR_CERTIFICATE_EXTENSION, mMIMEText.getText().trim());
             AdminConnection connection = wizardInfo.getAdminConnection();
             try {
                 connection.validate(
@@ -159,16 +157,16 @@ class WCertExtensionPage extends WBaseCertExtensionPage implements
 
         NameValuePairs nvps = new NameValuePairs();
 
-        nvps.add(Constants.PR_SUBJECT_NAME, wizardInfo.getSubjectName());
+        nvps.put(Constants.PR_SUBJECT_NAME, wizardInfo.getSubjectName());
         if (wizardInfo.isNewKey()) {
             String type = wizardInfo.getKeyType();
             if (type.equals("ECC")) {
-                nvps.add(Constants.PR_KEY_CURVENAME, wizardInfo.getKeyCurveName());
+                nvps.put(Constants.PR_KEY_CURVENAME, wizardInfo.getKeyCurveName());
             } else {
-                nvps.add(Constants.PR_KEY_LENGTH, wizardInfo.getKeyLength());
+                nvps.put(Constants.PR_KEY_LENGTH, wizardInfo.getKeyLength());
             }
-            nvps.add(Constants.PR_KEY_TYPE, type);
-            nvps.add(Constants.PR_TOKEN_NAME, wizardInfo.getTokenName());
+            nvps.put(Constants.PR_KEY_TYPE, type);
+            nvps.put(Constants.PR_TOKEN_NAME, wizardInfo.getTokenName());
         }
         //nvps.add(Constants.PR_VALIDITY_PERIOD, wizardInfo.getValidityPeriod());
         addValidityPeriod(wizardInfo, nvps);
@@ -180,22 +178,22 @@ class WCertExtensionPage extends WBaseCertExtensionPage implements
             addExtendedKey(nvps);
 
         if (mAIACheckBox.isSelected())
-            nvps.add(Constants.PR_AIA, Constants.TRUE);
+            nvps.put(Constants.PR_AIA, Constants.TRUE);
 
         if (mAKICheckBox.isSelected())
-            nvps.add(Constants.PR_AKI, Constants.TRUE);
+            nvps.put(Constants.PR_AKI, Constants.TRUE);
 
         if (mSKICheckBox.isSelected())
-            nvps.add(Constants.PR_SKI, Constants.TRUE);
+            nvps.put(Constants.PR_SKI, Constants.TRUE);
 
         if (mOCSPNoCheck.isSelected())
-            nvps.add(Constants.PR_OCSP_NOCHECK, Constants.TRUE);
+            nvps.put(Constants.PR_OCSP_NOCHECK, Constants.TRUE);
 
         if (mKeyUsageBox.isSelected())
-            nvps.add(Constants.PR_KEY_USAGE, Constants.TRUE);
+            nvps.put(Constants.PR_KEY_USAGE, Constants.TRUE);
 
         if (mMIMECheckBox.isSelected())
-            nvps.add(Constants.PR_DER_EXTENSION, mMIMEText.getText().trim());
+            nvps.put(Constants.PR_DER_EXTENSION, mMIMEText.getText().trim());
 
         wizardInfo.addEntry(wizardInfo.ALL_INFO, nvps); 
 
@@ -205,44 +203,44 @@ class WCertExtensionPage extends WBaseCertExtensionPage implements
 
     private void addValidityPeriod(CertSetupWizardInfo wizardInfo, 
       NameValuePairs nvps) {
-        nvps.add(Constants.PR_BEGIN_YEAR, wizardInfo.getBeginYear());
-        nvps.add(Constants.PR_BEGIN_MONTH, wizardInfo.getBeginMonth());
-        nvps.add(Constants.PR_BEGIN_DATE, wizardInfo.getBeginDate());
-        nvps.add(Constants.PR_BEGIN_HOUR, wizardInfo.getBeginHour());
-        nvps.add(Constants.PR_BEGIN_MIN, wizardInfo.getBeginMin());
-        nvps.add(Constants.PR_BEGIN_SEC, wizardInfo.getBeginSec());
-        nvps.add(Constants.PR_AFTER_YEAR, wizardInfo.getAfterYear());
-        nvps.add(Constants.PR_AFTER_MONTH, wizardInfo.getAfterMonth());
-        nvps.add(Constants.PR_AFTER_DATE, wizardInfo.getAfterDate());
-        nvps.add(Constants.PR_AFTER_HOUR, wizardInfo.getAfterHour());
-        nvps.add(Constants.PR_AFTER_MIN, wizardInfo.getAfterMin());
-        nvps.add(Constants.PR_AFTER_SEC, wizardInfo.getAfterSec());
+        nvps.put(Constants.PR_BEGIN_YEAR, wizardInfo.getBeginYear());
+        nvps.put(Constants.PR_BEGIN_MONTH, wizardInfo.getBeginMonth());
+        nvps.put(Constants.PR_BEGIN_DATE, wizardInfo.getBeginDate());
+        nvps.put(Constants.PR_BEGIN_HOUR, wizardInfo.getBeginHour());
+        nvps.put(Constants.PR_BEGIN_MIN, wizardInfo.getBeginMin());
+        nvps.put(Constants.PR_BEGIN_SEC, wizardInfo.getBeginSec());
+        nvps.put(Constants.PR_AFTER_YEAR, wizardInfo.getAfterYear());
+        nvps.put(Constants.PR_AFTER_MONTH, wizardInfo.getAfterMonth());
+        nvps.put(Constants.PR_AFTER_DATE, wizardInfo.getAfterDate());
+        nvps.put(Constants.PR_AFTER_HOUR, wizardInfo.getAfterHour());
+        nvps.put(Constants.PR_AFTER_MIN, wizardInfo.getAfterMin());
+        nvps.put(Constants.PR_AFTER_SEC, wizardInfo.getAfterSec());
     }
 
     private void addBasicConstraints(NameValuePairs nvps) {
 
         if (mCACheckBox.isSelected())
-            nvps.add(Constants.PR_IS_CA, Constants.TRUE);
+            nvps.put(Constants.PR_IS_CA, Constants.TRUE);
 
         String certLen = mCertPathText.getText().trim();
         if (!certLen.equals(""))
-            nvps.add(Constants.PR_CERT_LEN, certLen);
+            nvps.put(Constants.PR_CERT_LEN, certLen);
     }
 
     private void addExtendedKey(NameValuePairs nvps) {
 
         if (mSSLClient.isSelected()) 
-            nvps.add(Constants.PR_SSL_CLIENT_BIT, Constants.TRUE);
+            nvps.put(Constants.PR_SSL_CLIENT_BIT, Constants.TRUE);
         if (mSSLServer.isSelected())
-            nvps.add(Constants.PR_SSL_SERVER_BIT, Constants.TRUE);
+            nvps.put(Constants.PR_SSL_SERVER_BIT, Constants.TRUE);
         if (mSSLMail.isSelected())
-            nvps.add(Constants.PR_SSL_MAIL_BIT, Constants.TRUE);
+            nvps.put(Constants.PR_SSL_MAIL_BIT, Constants.TRUE);
         if (mObjectSigning.isSelected())
-            nvps.add(Constants.PR_OBJECT_SIGNING_BIT, Constants.TRUE);
+            nvps.put(Constants.PR_OBJECT_SIGNING_BIT, Constants.TRUE);
         if (mTimeStamping.isSelected())
-            nvps.add(Constants.PR_TIMESTAMPING_BIT, Constants.TRUE);
+            nvps.put(Constants.PR_TIMESTAMPING_BIT, Constants.TRUE);
         if (mOCSPSigning.isSelected())
-            nvps.add(Constants.PR_OCSP_SIGNING, Constants.TRUE);
+            nvps.put(Constants.PR_OCSP_SIGNING, Constants.TRUE);
     }
 
     public void callHelp() {
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WCertTypePage.java b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WCertTypePage.java
index a4e30cd2cae7f7b0d69a50f67c1ca0d81374735b..88350fc3268ce73f413e3b29a120d1d3972f181d 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WCertTypePage.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WCertTypePage.java
@@ -84,9 +84,8 @@ class WCertTypePage extends WizardBasePanel implements IWizardPanel,
             NameValuePairs response = connection.search(DestDef.DEST_SERVER_ADMIN,
               ScopeDef.SC_SUBSYSTEM, nvps);
 
-            for (int i=0; i<response.size(); i++) {
-                NameValuePair nvp = response.elementAt(i);
-                String type = nvp.getValue();
+            for (String name : response.keySet()) {
+                String type = response.get(name);
 
                 if (type.equals(Constants.PR_RA_INSTANCE)) 
                     mRASigningCert = mResource.getString(
@@ -226,8 +225,8 @@ class WCertTypePage extends WizardBasePanel implements IWizardPanel,
 
                 response = connection.read(DestDef.DEST_SERVER_ADMIN,
                   ScopeDef.SC_GET_NICKNAMES, wizardInfo.getCertType(), nvps);
-                NameValuePair nvp = response.getPair(Constants.PR_ALL_NICKNAMES);
-                wizardInfo.setNicknames(nvp.getValue());
+                String value = response.get(Constants.PR_ALL_NICKNAMES);
+                wizardInfo.setNicknames(value);
             } catch (EAdminException e) {
                 setErrorMessage(e.toString());
                 endProgressStatus();
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WDisplayCertPage.java b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WDisplayCertPage.java
index 0ebfd7cb74cb60df702b846e2bd1db335e47659d..a7fe563525f45eb2559ac609e90851396e16d0c6 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WDisplayCertPage.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WDisplayCertPage.java
@@ -20,7 +20,6 @@ package com.netscape.admin.certsrv.keycert;
 import java.awt.*;
 import java.awt.event.*;
 import java.util.*;
-import java.io.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
@@ -126,16 +125,16 @@ class WDisplayCertPage extends WizardBasePanel implements IWizardPanel {
         String cert = wizardInfo.getPKCS10();
 
         if (cert == null) {
-            nvps.add(Constants.PR_CERT_FILEPATH, 
-              wizardInfo.getCertFilePath());
+            nvps.put(Constants.PR_CERT_FILEPATH,
+                    wizardInfo.getCertFilePath());
         } else {
-            nvps.add(Constants.PR_PKCS10, wizardInfo.getPKCS10());
+            nvps.put(Constants.PR_PKCS10, wizardInfo.getPKCS10());
         }
 
-        nvps.add(Constants.PR_NICKNAME, mCertNameField.getText().trim());
-        nvps.add("pathname", pathname);
-        nvps.add(Constants.PR_SERVER_ROOT, serverInfo.getServerRoot());
-        nvps.add(Constants.PR_SERVER_ID, serverInfo.getServerId());
+        nvps.put(Constants.PR_NICKNAME, mCertNameField.getText().trim());
+        nvps.put("pathname", pathname);
+        nvps.put(Constants.PR_SERVER_ROOT, serverInfo.getServerRoot());
+        nvps.put(Constants.PR_SERVER_ID, serverInfo.getServerId());
 
         try {
             connection.modify(
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WExecute1Page.java b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WExecute1Page.java
index 60154d2daf34c1d658115b4bd4d0615545a64ffd..d13bca6e4b08c12eedf40718e53c3787d56d5d71 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WExecute1Page.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WExecute1Page.java
@@ -18,7 +18,6 @@
 package com.netscape.admin.certsrv.keycert;
 
 import java.awt.*;
-import java.io.*;
 import javax.swing.*;
 import javax.swing.border.*;
 import com.netscape.admin.certsrv.*;
@@ -105,17 +104,15 @@ class WExecute1Page extends WizardBasePanel implements IWizardPanel {
         NameValuePairs nvps = wizardInfo.getNameValuePairs();
         if (wizardInfo.getCertType().equals(Constants.PR_OTHER_CERT) &&
           !wizardInfo.isNewKey()) {
-            nvps.add(Constants.PR_NICKNAME, wizardInfo.getNickname());
+            nvps.put(Constants.PR_NICKNAME, wizardInfo.getNickname());
         }
 
         try {
             NameValuePairs response = connection.process(
               DestDef.DEST_SERVER_ADMIN, ScopeDef.SC_CERT_REQUEST,
               wizardInfo.getCertType(), nvps);
-            for (int i=0; i<response.size(); i++) {
-                NameValuePair nvp = response.elementAt(i);
-                String key = nvp.getName();
-                String value = nvp.getValue();
+            for (String key : response.keySet()) {
+                String value = response.get(key);
                 if (key.equals(Constants.PR_CSR)) {
                     wizardInfo.addEntry(Constants.PR_CSR, value);
                 } else if (key.equals(Constants.PR_CERT_REQUEST_DIR)) {
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WExecutePage.java b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WExecutePage.java
index 109a82e690498451e62b69fc6746ca8be64e4ce6..a3ce142574b8463333ba28273a2aa2f06787ec30 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WExecutePage.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WExecutePage.java
@@ -18,7 +18,6 @@
 package com.netscape.admin.certsrv.keycert;
 
 import java.awt.*;
-import java.io.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
@@ -112,12 +111,12 @@ class WExecutePage extends WizardBasePanel implements IWizardPanel {
 
         if (wizardInfo.isNewKey()) {
             if (wizardInfo.getHashType() != null) 
-                nvps.add(ConfigConstants.PR_HASH_TYPE, wizardInfo.getHashType());
+                nvps.put(ConfigConstants.PR_HASH_TYPE, wizardInfo.getHashType());
             if (wizardInfo.getSignedByType() != null)
-                nvps.add(ConfigConstants.PR_SIGNEDBY_TYPE, wizardInfo.getSignedByType());
+                nvps.put(ConfigConstants.PR_SIGNEDBY_TYPE, wizardInfo.getSignedByType());
         }
 
-        nvps.add("pathname", dir);
+        nvps.put("pathname", dir);
         try {
             connection.modify(
               DestDef.DEST_SERVER_ADMIN, ScopeDef.SC_ISSUE_IMPORT_CERT,
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WInstallOpPage.java b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WInstallOpPage.java
index 81adab9f78f925ebb724775c68a263c8776b4c99..5b4d2d3403054959aa93d6267e6891789dcb7f0c 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WInstallOpPage.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WInstallOpPage.java
@@ -84,9 +84,8 @@ class WInstallOpPage extends WizardBasePanel implements IWizardPanel {
         try {
             NameValuePairs response = connection.search(DestDef.DEST_SERVER_ADMIN,
               ScopeDef.SC_SUBSYSTEM, nvps);
-            for (int i=0; i<response.size(); i++) {
-                NameValuePair nvp = response.elementAt(i);
-                String type = nvp.getValue();
+            for (String name : response.keySet()) {
+                String type = response.get(name);
 
                 if (type.equals(Constants.PR_RA_INSTANCE))
                     mRASigningCert = mResource.getString(
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WIntroPage.java b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WIntroPage.java
index b1d0d40d9b5aba5490fea069b4e815d5d11698cf..abcec63f39aefbff2cf92b92f3eab3a5304debbb 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WIntroPage.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WIntroPage.java
@@ -67,15 +67,14 @@ class WIntroPage extends WizardBasePanel implements IWizardPanel {
         startProgressStatus();
         AdminConnection connection = wizardInfo.getAdminConnection();
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_TOKEN_LIST, "");
+        nvps.put(Constants.PR_TOKEN_LIST, "");
         try {
             NameValuePairs response = connection.read(DestDef.DEST_SERVER_ADMIN,
               ScopeDef.SC_TOKEN, Constants.RS_ID_CONFIG, nvps);
-            for (int i=0; i<response.size(); i++) {
-                NameValuePair nvp = response.elementAt(i);
-                String name = nvp.getName();
+            for (String name : response.keySet()) {
+                String value = response.get(name);
                 if (name.equals(Constants.PR_TOKEN_LIST))
-                    wizardInfo.addEntry(name, nvp.getValue());
+                    wizardInfo.addEntry(name, value);
             }
         } catch (EAdminException e) {
             //showErrorDialog(e.toString());
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WKeyPage.java b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WKeyPage.java
index 84852fa4bce633a1a04dc720bf933082188c1df8..40d601c1d7203f0cc903e305cdd8ad9506b328df 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WKeyPage.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WKeyPage.java
@@ -20,10 +20,9 @@ package com.netscape.admin.certsrv.keycert;
 import java.awt.*;
 import java.awt.event.*;
 import java.util.*;
-import java.io.*;
 import javax.swing.*;
 import javax.swing.border.*;
-import javax.swing.event.*;
+
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.wizard.*;
@@ -235,38 +234,38 @@ class WKeyPage extends WizardBasePanel implements IWizardPanel, ItemListener {
                 if (mKeyCurveBox.isVisible()) { // ECC
                     wizardInfo.addEntry(Constants.PR_KEY_CURVENAME, 
                       mKeyCurveText.getText().trim());
-                    nvps.add(Constants.PR_KEY_CURVENAME, mKeyCurveText.getText().trim());
+                    nvps.put(Constants.PR_KEY_CURVENAME, mKeyCurveText.getText().trim());
                 } else {
                     wizardInfo.addEntry(Constants.PR_KEY_LENGTH, 
                       mKeyLengthText.getText().trim());
-                    nvps.add(Constants.PR_KEY_LENGTH, mKeyLengthText.getText().trim());
+                    nvps.put(Constants.PR_KEY_LENGTH, mKeyLengthText.getText().trim());
                 }
             } else {
                 if (mKeyCurveBox.isVisible()) { // ECC
                     wizardInfo.addEntry(Constants.PR_KEY_CURVENAME, val.trim());
-                    nvps.add(Constants.PR_KEY_CURVENAME, val.trim());
+                    nvps.put(Constants.PR_KEY_CURVENAME, val.trim());
                 } else {
                     wizardInfo.addEntry(Constants.PR_KEY_LENGTH, val.trim());
-                    nvps.add(Constants.PR_KEY_LENGTH, val.trim());
+                    nvps.put(Constants.PR_KEY_LENGTH, val.trim());
                 }
             }
      
             if (mKeyTypeBox.isVisible()) {
                 wizardInfo.addEntry(Constants.PR_KEY_TYPE,
                   (String)mKeyTypeBox.getSelectedItem());
-                nvps.add(Constants.PR_KEY_TYPE, (String)mKeyTypeBox.getSelectedItem());
+                nvps.put(Constants.PR_KEY_TYPE, (String) mKeyTypeBox.getSelectedItem());
             } else if (mDSAKeyTypeBox.isVisible()) {
                 wizardInfo.addEntry(Constants.PR_KEY_TYPE,
                   (String)mDSAKeyTypeBox.getSelectedItem());
-                nvps.add(Constants.PR_KEY_TYPE, (String)mDSAKeyTypeBox.getSelectedItem());
+                nvps.put(Constants.PR_KEY_TYPE, (String) mDSAKeyTypeBox.getSelectedItem());
             }
         }
 
         startProgressStatus();
 
         String certType = wizardInfo.getCertType();
-        nvps.add(Constants.PR_SUBJECT_NAME, "");
-        nvps.add(Constants.PR_CERTIFICATE_TYPE, certType);
+        nvps.put(Constants.PR_SUBJECT_NAME, "");
+        nvps.put(Constants.PR_CERTIFICATE_TYPE, certType);
 
         try {
             // validate the key length or curvename
@@ -283,7 +282,7 @@ class WKeyPage extends WizardBasePanel implements IWizardPanel, ItemListener {
 
                 if (mNicknameBox.isVisible()) {
                     String nicknameStr = (String)mNicknameBox.getSelectedItem();
-                    nvps.add(Constants.PR_NICKNAME, nicknameStr);
+                    nvps.put(Constants.PR_NICKNAME, nicknameStr);
                     response = connection.process(
                       DestDef.DEST_SERVER_ADMIN,
                       ScopeDef.SC_SUBJECT_NAME, 
@@ -296,22 +295,21 @@ class WKeyPage extends WizardBasePanel implements IWizardPanel, ItemListener {
                       wizardInfo.getCertType(), nvps);
                 }
 
-                NameValuePair nvp = response.getPair(Constants.PR_SUBJECT_NAME);
-
-                wizardInfo.addEntry(Constants.PR_SUBJECT_NAME, nvp.getValue());
+                String value = response.get(Constants.PR_SUBJECT_NAME);
+                wizardInfo.addEntry(Constants.PR_SUBJECT_NAME, value);
             }
 
             if (mNewKeyBtn.isSelected()) {
                 String tokenName = (String)mTokenBox.getSelectedItem();
                 if (tokenName.equals("internal")) 
                     tokenName = Constants.PR_INTERNAL_TOKEN_NAME;
-                nvps.removeAllPairs();
-                nvps.add(Constants.PR_TOKEN_NAME, tokenName);
+                nvps.clear();
+                nvps.put(Constants.PR_TOKEN_NAME, tokenName);
                 response = connection.process(DestDef.DEST_SERVER_ADMIN,
                   ScopeDef.SC_TOKEN_STATUS, Constants.RS_ID_CONFIG, nvps);
                 
-                NameValuePair result = response.getPair(Constants.PR_LOGGED_IN);
-                wizardInfo.addEntry(Constants.PR_LOGGED_IN, result.getValue()); 
+                String value = response.get(Constants.PR_LOGGED_IN);
+                wizardInfo.addEntry(Constants.PR_LOGGED_IN, value);
                 wizardInfo.addEntry(Constants.PR_TOKEN_NAME, tokenName);
             }
         } catch (EAdminException e) {
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WPasteCertPage.java b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WPasteCertPage.java
index 8dda6e32dca2c233ae57843e89a415716e75d0cd..50e14a50e045224030967d54851119b5a485e91a 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WPasteCertPage.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WPasteCertPage.java
@@ -19,7 +19,6 @@ package com.netscape.admin.certsrv.keycert;
 
 import java.awt.*;
 import java.awt.event.*;
-import java.io.*;
 import javax.swing.*;
 import javax.swing.text.*;
 import com.netscape.admin.certsrv.*;
@@ -102,11 +101,11 @@ class WPasteCertPage extends WizardBasePanel implements IWizardPanel {
         NameValuePairs nvps = new NameValuePairs();
 
         if (mFileBtn.isSelected()) {
-            nvps.add(Constants.PR_CERT_FILEPATH, mCertFilePath);
+            nvps.put(Constants.PR_CERT_FILEPATH, mCertFilePath);
             wizardInfo.setCertFilePath(mCertFilePath);
             wizardInfo.setPKCS10("");
         } else if (mBase64Btn.isSelected()) {
-            nvps.add(Constants.PR_PKCS10, mCertContent);
+            nvps.put(Constants.PR_PKCS10, mCertContent);
             wizardInfo.setPKCS10(mCertContent);
             wizardInfo.setCertFilePath("");
         }
@@ -116,10 +115,8 @@ class WPasteCertPage extends WizardBasePanel implements IWizardPanel {
               DestDef.DEST_SERVER_ADMIN,
               ScopeDef.SC_CERTINFO, wizardInfo.getInstallCertType(), nvps);
             
-            for (int i=0; i<response.size(); i++) {
-                NameValuePair nvp = response.elementAt(i);
-                String name = nvp.getName();
-                String str = nvp.getValue();
+            for (String name : response.keySet()) {
+                String str = response.get(name);
                 wizardInfo.addEntry(name, str);
             }
 /*
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WTokenLogonPage.java b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WTokenLogonPage.java
index dd92d20b3a3b4741892188fdbf58714c60fbaa03..53a623d0aea4ec7d766cb8e9e7f279f9c1745a87 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WTokenLogonPage.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WTokenLogonPage.java
@@ -18,15 +18,12 @@
 package com.netscape.admin.certsrv.keycert;
 
 import java.awt.*;
-import java.util.*;
 import javax.swing.*;
-import javax.swing.text.*;
+
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.wizard.*;
 import com.netscape.certsrv.common.*;
-import com.netscape.admin.certsrv.task.*;
-import com.netscape.management.client.console.*;
 
 /**
  * This panel asks for the user to logon to the keycert token  . 
@@ -99,8 +96,8 @@ class WTokenLogonPage extends WizardBasePanel implements IWizardPanel {
 
         try {
             NameValuePairs nvps = new NameValuePairs();
-            nvps.add(Constants.PR_TOKEN_NAME, tokenname);
-            nvps.add(Constants.PR_TOKEN_PASSWD, pwd);
+            nvps.put(Constants.PR_TOKEN_NAME, tokenname);
+            nvps.put(Constants.PR_TOKEN_PASSWD, pwd);
             connection.modify(DestDef.DEST_SERVER_ADMIN,
               ScopeDef.SC_TOKEN_LOGON, Constants.RS_ID_CONFIG, nvps);
         } catch (EAdminException e) {
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WWarningExecute1Page.java b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WWarningExecute1Page.java
index 01b53e88cbce0cb95e8500fba1e999bd3e307eff..be844576c1fe51013340016d34e214a190172a41 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WWarningExecute1Page.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WWarningExecute1Page.java
@@ -76,10 +76,8 @@ class WWarningExecute1Page extends WizardBasePanel implements IWizardPanel {
             NameValuePairs response = connection.process(
               DestDef.DEST_SERVER_ADMIN, ScopeDef.SC_CERT_REQUEST,
               wizardInfo.getCertType(), nvps);
-            for (int i=0; i<response.size(); i++) {
-                NameValuePair nvp = response.elementAt(i);
-                String key = nvp.getName();
-                String value = nvp.getValue();
+            for (String key : response.keySet()) {
+                String value = response.get(key);
                 if (key.equals(Constants.PR_CSR)) {
                     wizardInfo.addEntry(Constants.PR_CSR, value);
                     break;
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/managecert/CertificateInfoDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/managecert/CertificateInfoDialog.java
index 5e66a6357c1c4efd8d445f73910da868e6d87dde..3a5c437050759628c74602b8d2ab490afe824566 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/managecert/CertificateInfoDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/managecert/CertificateInfoDialog.java
@@ -19,14 +19,10 @@ package com.netscape.admin.certsrv.managecert;
 
 import com.netscape.admin.certsrv.*;
 import javax.swing.*;
-import javax.swing.event.*;
-import javax.swing.border.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
-import com.netscape.management.client.util.*;
-import javax.swing.table.*;
+
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 
@@ -120,7 +116,7 @@ public class CertificateInfoDialog extends JDialog
 
             NameValuePairs nvps = new NameValuePairs();
             String value = mCertName+";"+mCertDate;
-            nvps.add("certName0", value);
+            nvps.put("certName0", value);
             
             try {
                 mConn.modify(DestDef.DEST_SERVER_ADMIN, ScopeDef.SC_TRUST, 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/managecert/ManageCertDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/managecert/ManageCertDialog.java
index 20fad62ac78db1e6a97ca5f03f2b5cab8a0138b5..4fd902584f1da40198938748264ed3c3e25b2184 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/managecert/ManageCertDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/managecert/ManageCertDialog.java
@@ -22,9 +22,8 @@ import java.awt.*;
 import java.awt.event.*;
 import javax.swing.table.*;
 import javax.swing.*;
-import javax.swing.border.*;
+
 import com.netscape.admin.certsrv.*;
-import com.netscape.management.client.util.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 
@@ -85,16 +84,15 @@ public class ManageCertDialog extends JDialog implements ActionListener,
 
         String[] vals = new String[response.size()];
         int i=0;
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            vals[i++] = entry;
+        for (String entry : response.keySet()) {
+            vals[i++] = entry.trim();
         }
 
         CMSAdminUtil.bubbleSort(vals);
 
         for (i=0; i<vals.length; i++) { 
             String entry = vals[i];
-            String value = response.getValue(entry);
+            String value = response.get(entry);
             addRows(entry, value);
         }
         mTable.getSelectionModel().clearSelection();
@@ -278,9 +276,8 @@ public class ManageCertDialog extends JDialog implements ActionListener,
                   Constants.RS_ID_CONFIG, nvps);
                 if (nvps.size() <= 0)
                     return;
-                NameValuePair nvp = results.elementAt(0);
-                String name = nvp.getName();
-                String print = nvp.getValue();
+                String name = results.keySet().iterator().next(); // first element
+                String print = results.get(name);
                 CertificateInfoDialog dialog = new CertificateInfoDialog(mParent);
                 dialog.showDialog(name, print, getTrustLbl(), getDate(),mConn);
                 refresh();
@@ -339,7 +336,7 @@ public class ManageCertDialog extends JDialog implements ActionListener,
         for (int i=0; i<rows.length; i++) {
             String value = (String)mDataModel.getValueAt(rows[i], 0);
             String date = (String)mDataModel.getValueAt(rows[i], 1);
-            nvps.add(name+i, value+";"+date);
+            nvps.put(name + i, value + ";" + date);
         }
         return nvps;
     }
